#!/bin/sh
#v3.99 BK created april 2008, GPL
#called from pkg_chooser.sh, provides filtered formatted list of uninstalled pkgs.
#filter category may be passed param to this script.

PUPPYVERSION=`cat /etc/puppyversion`
[ $PUPPYVERSION -eq 398 ] && PUPPYVERSION=400 #temp fixup.
[ $PUPPYVERSION -eq 399 ] && PUPPYVERSION=400 #temp fixup.
PUPVERDIGIT1="`echo -n "$PUPPYVERSION" | cut -b 1`"

fltrVERSION=4 #Puppy4 repository.
fltrCATEGORY="All" #show all pkgs.
fltrPATTERN="|" #let everything through.
[ -f /tmp/petget_filterversion ] && fltrVERSION=`cat /tmp/petget_filterversion`
[ "$fltrVERSION" = "$PUPVERDIGIT1" ] && fltrVERSION="" #current version.
if [ $1 ];then
 fltrCATEGORY="$1"
 echo "$1" > /tmp/petget_filtercategory
else
 [ -f /tmp/petget_filtercategory ] && fltrCATEGORY="`cat /tmp/petget_filtercategory`"
fi
fltrPATTERN="|${fltrCATEGORY} "
[ "$fltrCATEGORY" = "All" ] && fltrPATTERN="|" #let everything through.

cat /root/.packages/livepackages${fltrVERSION}.txt | tr '<>|&' ' ' | sed -e 's/""/" "/' | sed -e 's/^"//' | sed -e 's/"$//' | tr '"' '|' | sed -e 's/| |/|/' | sed -e 's/| \\//' > /tmp/petget_livepkgentries${fltrVERSION}
sync

cat /tmp/petget_livepkgentries${fltrVERSION} | grep '| off |' | grep "$fltrPATTERN" | cut -f 1,2,4 -d "|" | sed -e 's/|.*: /|/' >  /tmp/filterpkgs.results
sync

###END###
